clang 8.0.0

Classes | Static Public Member Functions | List of all members
llvm::yaml::MappingTraits< clang::tooling::Replacement > Struct Template Reference

Specialized MappingTraits to describe how a Replacement is (de)serialized. More...

`#include "clang/Tooling/ReplacementsYaml.h"`

## Classes
struct | NormalizedReplacement
| Helper to (de)serialize a Replacement since we don't have direct access to its data members. More...

## Static Public Member Functions
static void | mapping (IO &Io, clang::tooling::Replacement &R)

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< clang::tooling::Replacement >

Specialized MappingTraits to describe how a Replacement is (de)serialized.

Definition at line 30 of file ReplacementsYaml.h.

## Member Function Documentation

## ◆ mapping()

static void llvm::yaml::MappingTraits< clang::tooling::Replacement >::mapping | ( | IO & | Io,
|  | clang::tooling::Replacement & | R
| ) |  |
| inline static

Definition at line 52 of file ReplacementsYaml.h.

The documentation for this struct was generated from the following file:

- include/clang/Tooling/ReplacementsYaml.h